Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.gwt.dom.client
Enum Style.TableLayout

    java.lang.Object
      java.lang.Enum<Style.TableLayout>
          com.google.gwt.dom.client.Style.TableLayout

All Implemented Interfaces:
  Style.HasCssName, java.io.Serializable, java.lang.Comparable<Style.TableLayout>

Enclosing class:
  Style

    public static enum Style.TableLayout

extends java.lang.Enum<Style.TableLayout>
implements Style.HasCssName

Enum for the table-layout property.

Enum Constant Summary
`AUTO`
`FIXED`

Method Summary
`abstract java.lang.String` | `getCssName()` Gets the CSS name associated with this value.
`static Style.TableLayout` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Style.TableLayout[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTO

    public static final Style.TableLayout AUTO

### FIXED

    public static final Style.TableLayout FIXED

Method Detail

### values

    public static Style.TableLayout[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Style.TableLayout c : Style.TableLayout.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Style.TableLayout valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getCssName

    public abstract java.lang.String getCssName()

  Description copied from interface: `Style.HasCssName`
  Gets the CSS name associated with this value.

  Specified by:
    `getCssName` in interface `Style.HasCssName`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD